Custom objects
List objects
Custom objects defined in the installation that are open to the API or mobile: key, name, icon, fields (key, type, options, required, in Quick Entry), relations (target object, cardinality) and record count. limit is your plan's object limit (null = unlimited), used how many are defined. Objects are defined on the web under Settings → Data model; the API does not change definitions.
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: CustomersScope:
crm.readRequest
curl https://ornek.solk.app/api/v1/objects \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/objects", {
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.get(
"https://ornek.solk.app/api/v1/objects",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
)
print(r.json())Response
{
"limit": null,
"objects": [
{
"count": 0,
"description": "Firmaların üretim hatları: makine tipi, hız, devreye alma.",
"fields": [
{
"hint": "",
"id": 1,
"key": "makine_tipi",
"label": "Makine tipi",
"options": [
"Laminasyon"
],
"quick_entry": true,
"required": true,
"type": "select"
}
],
"flags": {
"api": true,
"customer_tab": true,
"lists": true,
"mobile": true,
"quick_entry": true
},
"icon": "gear-wide-connected",
"key": "uretim_hatti",
"kind": "o1",
"label": "Üretim hattı",
"name_label": "Hat adı",
"plural": "Üretim hatları",
"relations": [
{
"card": "N : 1",
"inverse": "Firmanın hatları",
"key": "co1_customer",
"label": "Firma",
"target": "customer",
"target_label": "Firma"
}
]
}
],
"ok": true,
"used": 1
}Example responses were captured from a v43b installation running sample data; lists are shortened to two items.